class ApiConfig {
  bool debugMode;
  bool encrypt;
  Map<String, dynamic> defaultParameters;
  final String url;
  final String publicKey;
  final String secretKey;
  final Duration defaultTimeout;
  final Duration uploadTimeout;

  ApiConfig(
    this.url, {
    this.publicKey,
    this.secretKey,
    this.encrypt = false,
    this.defaultParameters = const {},
    this.debugMode = false,
    this.defaultTimeout = const Duration(seconds: 60),
    this.uploadTimeout = const Duration(minutes: 5),
  });

  @override
  String toString() {
    return {
      'url': url,
      'encrypt': encrypt,
      'debugMode': debugMode,
      'publicKey': publicKey,
      'secretKey': secretKey,
      'defaultParameters': defaultParameters,
      'defaultTimeout': defaultTimeout.toString(),
      'uploadTimeout': uploadTimeout.toString(),
    }.toString();
  }
}
